package mysql

import (
	"context"
	"pji_desktop_http/biz/dal/query"
	"pji_desktop_http/biz/model"
)

func AddDeviceOneRecord(ctx context.Context, record model.Device) error {
	r := query.Device
	err := r.WithContext(ctx).Create(&record)
	return err
}

func QueryAllDevices(ctx context.Context) ([]*model.Device, error) {
	r := query.Device
	devices, err := r.WithContext(ctx).Find()
	if err != nil {
		return nil, err
	}
	return devices, nil
}

func QueryDeviceByDeviceNo(ctx context.Context, deviceNo string) (*model.Device, error) {
	r := query.Device
	device, err := r.WithContext(ctx).Where(r.DeviceNo.Eq(deviceNo)).First()
	if err != nil {
		return nil, err
	}
	return device, nil
}
